| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::tbm::IDescriptorDistance Class Referenceabstract

The IDescriptorDistance class declares an interface for distance computation between reidentification descriptors. More...

`#include <opencv2/tracking/tracking_by_matching.hpp>`

Inheritance diagram for cv::tbm::IDescriptorDistance:

## Public Member Functions
virtual | ~IDescriptorDistance ()
virtual float | compute (const cv::Mat &descr1, const cv::Mat &descr2)=0
| Computes distance between two descriptors. More...
virtual std::vector< float > | compute (const std::vector< cv::Mat > &descrs1, const std::vector< cv::Mat > &descrs2)=0
| Computes distances between two descriptors in batches. More...

## Detailed Description

The IDescriptorDistance class declares an interface for distance computation between reidentification descriptors.

## Constructor & Destructor Documentation

## ◆ ~IDescriptorDistance()

virtual cv::tbm::IDescriptorDistance::~IDescriptorDistance | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ compute() [1/2]

virtual float cv::tbm::IDescriptorDistance::compute | ( | const cv::Mat & | descr1,
|  | const cv::Mat & | descr2
| ) |  |
| pure virtual

Computes distance between two descriptors.

Parameters

  [in] | descr1 | First descriptor.
  [in] | descr2 | Second descriptor.

Returns
  Distance between two descriptors.

Implemented in cv::tbm::MatchTemplateDistance, and cv::tbm::CosDistance.

## ◆ compute() [2/2]

virtual std::vector<float> cv::tbm::IDescriptorDistance::compute | ( | const std::vector< cv::Mat > & | descrs1,
|  | const std::vector< cv::Mat > & | descrs2
| ) |  |
| pure virtual

Computes distances between two descriptors in batches.

Parameters

  [in] | descrs1 | Batch of first descriptors.
  [in] | descrs2 | Batch of second descriptors.

Returns
  Distances between descriptors.

Implemented in cv::tbm::MatchTemplateDistance, and cv::tbm::CosDistance.

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_by_matching.hpp